## org.apache.batik.svggen.font.table
Class KernSubtableFormat2

    java.lang.Object
      org.apache.batik.svggen.font.table.KernSubtable
          org.apache.batik.svggen.font.table.KernSubtableFormat2

    public class KernSubtableFormat2

extends KernSubtable

Constructor Summary
`protected` `KernSubtableFormat2(java.io.RandomAccessFile raf)` Creates new KernSubtableFormat2

Method Summary
`KerningPair` `getKerningPair(int i)`
`int` `getKerningPairCount()`

Methods inherited from class org.apache.batik.svggen.font.table.KernSubtable
`read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KernSubtableFormat2

    protected KernSubtableFormat2(java.io.RandomAccessFile raf)
                           throws java.io.IOException

  Creates new KernSubtableFormat2

  Throws:
    `java.io.IOException`

Method Detail

### getKerningPairCount

    public int getKerningPairCount()

  Specified by:
    `getKerningPairCount` in class `KernSubtable`

### getKerningPair

    public KerningPair getKerningPair(int i)

  Specified by:
    `getKerningPair` in class `KernSubtable`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.